<?php

if (!defined("PHPWG_ROOT_PATH")){
  die("Hacking attempt!");
}

include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');

// Check access and exit when user status is not ok
check_status(ACCESS_ADMINISTRATOR);

// Default is to create, if changed to 1, show edit page
$edit = 0;

// The values for the form fields
$CRid = 0;
$CRname = '';
$CRurl = '';
$CRvisible = 0;

// Do managing of copyrights
if (isset($_GET['tab'])) {
  if ($_GET['tab'] == 'create') {
    $name = $_REQUEST['name'];
    $url = $_REQUEST['url'];
    $visible = (isset($_REQUEST['visible']) ? 1 : 0);
    $query = '
      INSERT INTO '.COPYRIGHTS_ADMIN.'
      (`name`,`url`,`visible`) VALUES
      ("'.$name.'","'.$url.'",'.$visible.')
      ;';
    pwg_query($query);
  }

  if ($_GET['tab'] == 'edit') {
    $edit = 1;
    $CRid = $_REQUEST['id'];
    $query = '
      SELECT *
      FROM '.COPYRIGHTS_ADMIN.'
      WHERE `cr_id`='.$CRid.'
      ;';
    $result = pwg_query($query);
    $row = pwg_db_fetch_assoc($result);
    $CRname = $row['name'];
    $CRurl = $row['url'];
    $CRvisible = $row['visible'];
  }

  if ($_GET['tab'] == 'update') {
    $id = $_REQUEST['id'];
    $name = $_REQUEST['name'];
    $url = $_REQUEST['url'];
    $visible = (isset($_REQUEST['visible']) ? 1 : 0);
    $query = '
      UPDATE '.$prefixeTable.'copyrights_admin
      SET `name`="'.$name.'", `url`="'.$url.'", `visible`='.$visible.'
      WHERE `cr_id`='.$id.'
      ;';
    pwg_query($query);
  }
  
  if ($_GET['tab'] == 'delete') {
    $id = $_REQUEST['id'];
    $query = '
      DELETE FROM '.$prefixeTable.'copyrights_admin
      WHERE `cr_id`='.$id.'
      ;';
    pwg_query($query);
  }
}

// Create page template
global $template;

$template->set_filenames(
  array(
    'plugin_admin_content' => dirname(__FILE__).'/admin.tpl'
  )
);

$query = '
  SELECT *
  FROM '.COPYRIGHTS_ADMIN.'
  ;';
$result = pwg_query($query);

while ($row = pwg_db_fetch_assoc($result)) {
  $template->append(
    'CRs',
    array(
      'cr_id'   => $row['cr_id'],
      'name'    => $row['name'],
      'url'     => $row['url'],
      'visible' => $row['visible']
    )
  );
}

$template->assign(
  'COPYRIGHTS_PATH',
  COPYRIGHTS_WEB_PATH
);

$template->assign('edit', $edit);
$template->assign('CRid', $CRid);
$template->assign('CRname', $CRname);
$template->assign('CRurl', $CRurl);
$template->assign('CRvisible', $CRvisible);

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>
